Error when trying sudo apt-get update - Python related?

aaryan

New Member
Credits
392
I hope you can help me. I installed Kali 2021.1 a few days ago and, while trying to configure it and installing new packaged and software, I think I did something bad. I think it could be related with installing python. Anyway, netiher the gnome-terminal or gnome-tweaks can´t start anymores. Also, when I try to update (sudo apt-get update) it gives me the following error:

(rootkali)-[~]
└─# sudo apt-get update
Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:2 http://downloads.metasploit.com/data/releases/metasploit-framework/apt lucid InRelease
Hit:5 http://security.debian.org stable/updates InRelease
Hit:3 http://kali.cs.nctu.edu.tw/kali kali-rolling InRelease
Hit:4 http://kali.cs.nctu.edu.tw/kali kali-last-snapshot InRelease
Hit:6 http://kali.cs.nctu.edu.tw/kali kali-experimental InRelease
sh: 1: /usr/lib/cnf-update-db: not found
sh: 1: debtags: not found
Reading package lists... Done
E: Problem executing scripts APT::Update::post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'
E: Sub-process returned an error code


=> I try next command (sudo apt upgrade) it gives me the following error:

sudo apt upgrade
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
apt-listchanges : Depends: apt (>= 0.5.3) but it is not installed
Depends: python3-apt (>= 0.7.93) but it is not installed
Depends: python3-debconf but it is not installed
Depends: sensible-utils but it is not installed
Depends: ucf (>= 0.28) but it is not installed
Depends: debconf (>= 0.5) but it is not installed or
debconf-2.0
Depends: python3:any (>= 3.7~)
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

it gives me the following error:
apt --fix-broken install
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
adduser apt apt-utils ca-certificates coreutils debconf debconf-i18n
debian-archive-keyring distro-info-data dpkg gcc-10-base gpgv
init-system-helpers iso-codes krb5-locales libacl1 libapt-pkg6.0 libattr1
libaudit-common libaudit1 libbz2-1.0 libc6 libcap-ng0 libcom-err2 libcrypt1
libdb5.3 libexpat1 libffi7 libgcc-s1 libgcrypt20 libgmp10 libgnutls30
libgpg-error-l10n libgpg-error0 libgpm2 libgssapi-krb5-2 libhogweed6
libidn2-0 libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0
liblocale-gettext-perl liblz4-1 liblzma5 libmpdec3 libncursesw6 libnettle8
libnsl2 libnss-nis libnss-nisplus libp11-kit0 libpam-modules
libpam-modules-bin libpam0g libpcre2-8-0 libpython3-stdlib
libpython3.9-minimal libpython3.9-stdlib libreadline8 libseccomp2
libselinux1 libsemanage-common libsemanage1 libsepol1 libsmartcols1
libsqlite3-0 libssl1.1 libstdc++6 libsystemd0 libtasn1-6
libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libtinfo6
libtirpc-common libtirpc3 libudev1 libunistring2 libuuid1 libxxhash0
libzstd1 lsb-release media-types openssl passwd perl-base python-apt-common
python3 python3-apt python3-debconf python3-minimal python3.9
python3.9-minimal readline-common sensible-utils tar tzdata ucf
uuid-runtime zlib1g
Suggested packages:
perl apt-doc aptitude | synaptic | wajig dpkg-dev gnupg | gnupg2 | gnupg1
powermgmt-base debconf-doc debconf-utils whiptail | dialog
libterm-readline-gnu-perl libgtk3-perl libnet-ldap-perl debconf-kde-helper
debsig-verify gnupg isoquery glibc-doc libc-l10n locales rng-tools
gnutls-bin gpm krb5-doc krb5-user libpam-doc python3-doc python3-tk
python3-venv python3-apt-dbg python-apt-doc python3.9-venv python3.9-doc
binutils binfmt-support readline-doc bzip2 ncompress xz-utils tar-scripts
tar-doc
The following NEW packages will be installed:
adduser apt apt-utils ca-certificates coreutils debconf debconf-i18n
debian-archive-keyring distro-info-data dpkg gcc-10-base gpgv
init-system-helpers iso-codes krb5-locales libacl1 libapt-pkg6.0 libattr1
libaudit-common libaudit1 libbz2-1.0 libc6 libcap-ng0 libcom-err2 libcrypt1
libdb5.3 libexpat1 libffi7 libgcc-s1 libgcrypt20 libgmp10 libgnutls30
libgpg-error-l10n libgpg-error0 libgpm2 libgssapi-krb5-2 libhogweed6
libidn2-0 libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0
liblocale-gettext-perl liblz4-1 liblzma5 libmpdec3 libncursesw6 libnettle8
libnsl2 libnss-nis libnss-nisplus libp11-kit0 libpam-modules
libpam-modules-bin libpam0g libpcre2-8-0 libpython3-stdlib
libpython3.9-minimal libpython3.9-stdlib libreadline8 libseccomp2
libselinux1 libsemanage-common libsemanage1 libsepol1 libsmartcols1
libsqlite3-0 libssl1.1 libstdc++6 libsystemd0 libtasn1-6
libtext-charwidth-perl libtext-iconv-perl libtext-wrapi18n-perl libtinfo6
libtirpc-common libtirpc3 libudev1 libunistring2 libuuid1 libxxhash0
libzstd1 lsb-release media-types openssl passwd perl-base python-apt-common
python3 python3-apt python3-debconf python3-minimal python3.9
python3.9-minimal readline-common sensible-utils tar tzdata ucf
uuid-runtime zlib1g
0 upgraded, 101 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 38.6 MB of archives.
After this operation, 146 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libaudit-common all 1:3.0-2 [14.8 kB]
Get:2 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 gcc-10-base amd64 10.2.1-6 [201 kB]
Get:3 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libcrypt1 amd64 1:4.4.18-2 [87.1 kB]
Get:4 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libc6 amd64 2.31-11 [2,814 kB]
Get:5 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgcc-s1 amd64 10.2.1-6 [41.4 kB]
Get:6 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libcap-ng0 amd64 0.7.9-2.2+b1 [14.8 kB]
Get:7 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libaudit1 amd64 1:3.0-2 [50.4 kB]
Get:8 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libbz2-1.0 amd64 1.0.8-4 [45.8 kB]
Get:9 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 liblzma5 amd64 5.2.5-2 [168 kB]
Get:10 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libpcre2-8-0 amd64 10.36-2 [247 kB]
Get:11 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libselinux1 amd64 3.1-3 [88.1 kB]
Get:12 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 zlib1g amd64 1:1.2.11.dfsg-2 [90.4 kB]
Get:13 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libacl1 amd64 2.2.53-10 [31.1 kB]
Get:14 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 tar amd64 1.34+dfsg-1 [847 kB]
Get:15 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 dpkg amd64 1.20.7.1kali1 [2,464 kB]
Get:16 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 perl-base amd64 5.32.1-4 [1,628 kB]
Get:17 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 debconf all 1.5.75 [145 kB]
Get:18 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libpam0g amd64 1.4.0-7 [129 kB]
Get:19 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libsemanage-common all 3.1-1 [21.3 kB]
Get:20 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libsepol1 amd64 3.1-1 [265 kB]
Get:21 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libsemanage1 amd64 3.1-1+b2 [99.3 kB]
Get:22 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libdb5.3 amd64 5.3.28+dfsg1-0.8 [687 kB]
Get:23 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libcom-err2 amd64 1.46.2-1 [74.0 kB]
Get:24 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libkrb5support0 amd64 1.18.3-5 [65.2 kB]
Get:25 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libk5crypto3 amd64 1.18.3-5 [114 kB]
Get:26 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libkeyutils1 amd64 1.6.1-2 [15.4 kB]
Get:27 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libssl1.1 amd64 1.1.1k-1 [1,553 kB]
Get:28 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libkrb5-3 amd64 1.18.3-5 [363 kB]
Get:29 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgssapi-krb5-2 amd64 1.18.3-5 [165 kB]
Get:30 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libtirpc-common all 1.3.1-1 [13.4 kB]
Get:31 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libtirpc3 amd64 1.3.1-1 [83.6 kB]
Get:32 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libnsl2 amd64 1.3.0-2 [39.5 kB]
Get:33 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libpam-modules-bin amd64 1.4.0-7 [107 kB]
Get:34 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libpam-modules amd64 1.4.0-7 [325 kB]
Get:35 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 passwd amd64 1:4.8.1-1 [990 kB]
Get:36 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 adduser all 3.118 [240 kB]
Get:37 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgpg-error0 amd64 1.38-2 [77.5 kB]
Get:38 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgcrypt20 amd64 1.8.7-3 [563 kB]
Get:39 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 gpgv amd64 2.2.27-1 [625 kB]
Get:40 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 liblz4-1 amd64 1.9.3-1 [57.4 kB]
Get:41 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libstdc++6 amd64 10.2.1-6 [493 kB]
Get:42 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libzstd1 amd64 1.4.8+dfsg-2.1 [319 kB]
Get:43 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libsystemd0 amd64 247.3-5 [376 kB]
Get:44 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libudev1 amd64 247.3-5 [167 kB]
Get:45 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libxxhash0 amd64 0.8.0-2 [26.9 kB]
Get:46 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libapt-pkg6.0 amd64 2.2.3 [1,012 kB]
Get:47 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 debian-archive-keyring all 2021.1.1 [93.6 kB]
Get:48 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgmp10 amd64 2:6.2.1+dfsg-1 [564 kB]
Get:49 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libnettle8 amd64 3.7.2-3 [270 kB]
Get:50 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libhogweed6 amd64 3.7.2-3 [320 kB]
Get:51 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libunistring2 amd64 0.9.10-4 [379 kB]
Get:52 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libidn2-0 amd64 2.3.0-5 [86.1 kB]
Get:53 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libffi7 amd64 3.3-6 [23.1 kB]
Get:54 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libp11-kit0 amd64 0.23.22-1 [337 kB]
Get:55 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libtasn1-6 amd64 4.16.0-2 [55.0 kB]
Get:56 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgnutls30 amd64 3.7.1-3 [1,338 kB]
Get:57 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libseccomp2 amd64 2.5.1-1 [48.4 kB]
Get:58 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 apt amd64 2.2.3 [1,491 kB]
Get:59 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libpython3.9-minimal amd64 3.9.2-1 [801 kB]
Get:60 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libexpat1 amd64 2.2.10-2 [96.9 kB]
Get:61 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 python3.9-minimal amd64 3.9.2-1 [1,955 kB]
Get:62 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 python3-minimal amd64 3.9.2-3 [38.2 kB]
Get:63 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 media-types all 4.0.0 [30.3 kB]
Get:64 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 tzdata all 2021a-1 [284 kB]
Get:65 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libmpdec3 amd64 2.5.1-1 [87.7 kB]
Get:66 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libtinfo6 amd64 6.2+20201114-2 [341 kB]
Get:67 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libncursesw6 amd64 6.2+20201114-2 [132 kB]
Get:68 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 readline-common all 8.1-1 [73.7 kB]
Get:69 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libreadline8 amd64 8.1-1 [169 kB]
Get:70 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libsqlite3-0 amd64 3.34.1-3 [797 kB]
Get:71 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libuuid1 amd64 2.36.1-7 [83.6 kB]
Get:72 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libpython3.9-stdlib amd64 3.9.2-1 [1,684 kB]
Get:73 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 python3.9 amd64 3.9.2-1 [466 kB]
Get:74 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libpython3-stdlib amd64 3.9.2-3 [21.4 kB]
Get:75 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 python3 amd64 3.9.2-3 [37.9 kB]
Get:76 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 python-apt-common all 2.2.0 [96.3 kB]
Get:77 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 distro-info-data all 0.47 [7,236 B]
Get:78 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 python3-apt amd64 2.2.0 [190 kB]
Get:79 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 python3-debconf all 1.5.75 [4,016 B]
Get:80 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 sensible-utils all 0.0.14 [14.8 kB]
Get:81 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libattr1 amd64 1:2.4.48-6 [21.6 kB]
Get:82 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 coreutils amd64 8.32-4+b1 [2,867 kB]
Get:83 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 ucf all 3.0043 [74.0 kB]
Get:84 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 init-system-helpers all 1.60+kali1 [49.2 kB]
Get:85 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 liblocale-gettext-perl amd64 1.07-4+b1 [19.0 kB]
Get:86 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libsmartcols1 amd64 2.36.1-7 [157 kB]
Get:87 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 uuid-runtime amd64 2.36.1-7 [101 kB]
Get:88 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 apt-utils amd64 2.2.3 [439 kB]
Get:89 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libtext-iconv-perl amd64 1.7-7+b1 [16.1 kB]
Get:90 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libtext-charwidth-perl amd64 0.04-10+b1 [10.6 kB]
Get:91 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libtext-wrapi18n-perl all 0.06-9 [8,700 B]
Get:92 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 debconf-i18n all 1.5.75 [206 kB]
Get:93 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 krb5-locales all 1.18.3-5 [95.2 kB]
Get:94 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 openssl amd64 1.1.1k-1 [850 kB]
Get:95 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 ca-certificates all 20210119 [158 kB]
Get:96 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 iso-codes all 4.6.0-1 [2,824 kB]
Get:97 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgpg-error-l10n all 1.38-2 [104 kB]
Get:98 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libgpm2 amd64 1.20.7-8 [35.6 kB]
Get:99 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libnss-nis amd64 3.1-4 [25.6 kB]
Get:100 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 libnss-nisplus amd64 1.3-4 [21.6 kB]
Get:101 http://kali.cs.nctu.edu.tw/kali kali-rolling/main amd64 lsb-release all 11.1.0 [27.9 kB]
Fetched 38.6 MB in 47s (824 kB/s)
/bin/sh: 1: /usr/bin/apt-listchanges: not found
E: Sub-process /usr/bin/apt-listchanges --apt || test $? -lt 10 returned an error code (1)
E: Failure running script /usr/bin/apt-listchanges --apt || test $? -lt 10


=> and try python install it gives me the following error:

sudo apt install python
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Note, selecting 'python-is-python2' instead of 'python'
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
apt-listchanges : Depends: apt (>= 0.5.3) but it is not going to be installed
Depends: python3-apt (>= 0.7.93) but it is not going to be installed
Depends: python3-debconf but it is not going to be installed
Depends: sensible-utils but it is not going to be installed
Depends: ucf (>= 0.28) but it is not going to be installed
Depends: debconf (>= 0.5) but it is not going to be installed or
debconf-2.0
Depends: python3:any (>= 3.7~)
python-is-python2 : Depends: python2 but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).


=> next try (sudo apt install python3) but it gives similar error.

=> i try (pip install, pip3 install) it gives me the following error:

pip install
bash: /usr/lib/command-not-found: /usr/bin/python3: bad interpreter: No such file or directory

=> and i try another command:
sudo apt-get -f install
apt update --fix-missing
sudo apt update --fix-missing
sudo apt-get dist-upgrade
sudo dpkg --configure -a
sudo apt-get --fix-missing install
sudo apt --fix-broken install
check source list

──(rootkali)-[~]
└─# cat /etc/apt/sources.list
deb http://http.kali.org/kali kali-rolling main contrib non-free
deb-src http://http.kali.org/kali kali-rolling main non-free contrib

but can't solve my problem.

Please help me.
 


Tolkem

Well-Known Member
Credits
6,474
First, since you're running as root you don't need to use sudo, so simply doing
Code:
apt update
should work. Secondly, python3 should be already installed. Third, you have other sources.list in /etc/apt/sources.list.d apart from kali's, these:
Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:2 http://downloads.metasploit.com/data/releases/metasploit-framework/apt lucid InRelease
Hit:5 http://security.debian.org stable/updates InRelease
and I think this one as well isn't part of stock kali
Hit:6 http://kali.cs.nctu.edu.tw/kali kali-experimental InRelease
Make sure to disable those and try again.
Fourth, Read here https://www.kali.org/docs/general-use/updating-kali/
 

aaryan

New Member
Credits
392
can't solve this error:


──(rootkali)-[~]
└─# sudo apt update
Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://downloads.metasploit.com/data/releases/metasploit-framework/apt lucid InRelease
Hit:2 http://kali.cs.nctu.edu.tw/kali kali-rolling InRelease
sh: 1: /usr/lib/cnf-update-db: not found
sh: 1: debtags: not found
Reading package lists... Done
E: Problem executing scripts APT::Update::post-Invoke-Success 'if /usr/bin/test -w /var/lib/command-not-found/ -a -e /usr/lib/cnf-update-db; then /usr/lib/cnf-update-db > /dev/null; fi'
E: Sub-process returned an error code

Please help me.
 

f33dm3bits

Gold Member
Gold Supporter
Credits
18,785
For the love of legibility use code tags when posting output because certain combinations will result in smileys which makes it hard to read.
 
Last edited:

craigevil

Active Member
Credits
1,055
sh: 1: /usr/lib/cnf-update-db: not found is the command-not-found package
debtags isn't a required package.
Personally I would say your install is toast. I would reinstall or even better install a real distro that is meant for everyday use
 

Alexzee

Well-Known Member
Credits
7,375
Unless you are really good with penetration testing,forensic's and know how to fix Debian Sid unstable Kali Linux may not be the best choice for you to run.

With the gnome terminal not launching I have to agree with craigevil the system sounds like it's been hosed/broken.

Maybe give Debian 10 Buster or Linux Mint a spin instead.
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Members online


Latest posts

Top